package cmm.service;


import java.util.Date;
import java.util.List;

import cmm.util.CmmUtil;
import cmm.util.CmmVO;




@SuppressWarnings("serial")
public class CmmBbsVO extends CmmVO {

		
	private String nttId = "";
	private String bbsId = "";
	private long nttNo = 0L;
	private String nttSj = "";
	private String nttCn = "";
	private String answerAt = "N";
	private String answerCn = "";
	private String overview = "";
	private String parntscttNo = "0";
	private String answerLc = "0";
	private long sortOrdr = 0L;
	private int rdcnt = 0;
	private String useAt = "";
	private String ntceBgnde = "";
	private String ntceEndde = "";
	private String ntcrId = "";
	private String ntcrNm = "";
	private String password = "";
	private String atchFileId = "";
	private String atchFileNm = "";
	private Date frstRegistPnttm = null;
	private String frstRegisterId = "";
	private String frstRegisterNm = "";
	private Date lastUpdtPnttm = null;
	private String lastUpdusrId = "";
	private String lastUpdusrNm = "";
	private String gubun = "";
	private String topYn = "";
	private int topCnt = 0;
	private String notice = "";
	private String nttType ="";
	private String[] nttTypes ;
	
	private String tel  ="";
	private String zipCode="";
	private String address="";
	private String sidoName="";
	private String sigunguName="";
	private String latitude="";
	private String longitude="";
	private String mainImg="";
	private String mainImgOrignlFileNm="";
	private String thumAtchCtrl ="";
	List<String> nttIdList;
	
	public String getNttType() {
		return nttType;
	}

	public void setNttType(String nttType) {
		this.nttType = nttType;
	}

	public String getNotice() {
		return notice;
	}

	public void setNotice(String notice) {
		this.notice = notice;
	}

	public String getNttId() {
		return this.nttId;
	}
	
	public void setNttId(String nttId) {
		this.nttId = nttId;
	}

	public String getBbsId() {
		return this.bbsId;
	}
	
	public void setBbsId(String bbsId) {
		this.bbsId = bbsId;
	}

	public long getNttNo() {
		return this.nttNo;
	}
	
	public void setNttNo(long nttNo) {
		this.nttNo = nttNo;
	}

	public String getNttSj() {
		return this.nttSj;
	}
	
	public void setNttSj(String nttSj) {
		this.nttSj = nttSj;
	}

	public String getNttCn() {
		return this.nttCn;
	}
	
	public void setNttCn(String nttCn) {
		this.nttCn = nttCn;
	}

	public String getAnswerAt() {
		return this.answerAt;
	}
	
	public void setAnswerAt(String answerAt) {
		this.answerAt = answerAt;
	}

	public String getAnswerCn() {
		return answerCn;
	}

	public void setAnswerCn(String answerCn) {
		this.answerCn = answerCn;
	}

	public String getOverview() {
		return overview;
	}

	public void setOverview(String overview) {
		this.overview = overview;
	}

	public String getParntscttNo() {
		return this.parntscttNo;
	}
	
	public void setParntscttNo(String parntscttNo) {
		this.parntscttNo = parntscttNo;
	}

	public String getAnswerLc() {
		return this.answerLc;
	}
	
	public void setAnswerLc(String answerLc) {
		this.answerLc = answerLc;
	}

	public long getSortOrdr() {
		return this.sortOrdr;
	}
	
	public void setSortOrdr(long sortOrdr) {
		this.sortOrdr = sortOrdr;
	}

	public int getRdcnt() {
		return this.rdcnt;
	}
	
	public void setRdcnt(int rdcnt) {
		this.rdcnt = rdcnt;
	}

	public String getUseAt() {
		return this.useAt;
	}
	
	public void setUseAt(String useAt) {
		this.useAt = useAt;
	}

	public String getNtceBgnde() {
		return this.ntceBgnde;
	}
	
	public void setNtceBgnde(String ntceBgnde) {
		this.ntceBgnde = ntceBgnde;
	}

	public String getNtceEndde() {
		return this.ntceEndde;
	}
	
	public void setNtceEndde(String ntceEndde) {
		this.ntceEndde = ntceEndde;
	}

	public String getNtcrId() {
		return this.ntcrId;
	}
	
	public void setNtcrId(String ntcrId) {
		this.ntcrId = ntcrId;
	}

	public String getNtcrNm() {
		return this.ntcrNm;
	}
	
	public void setNtcrNm(String ntcrNm) {
		this.ntcrNm = ntcrNm;
	}

	public String getPassword() {
		return this.password;
	}
	
	public void setPassword(String password) {
		this.password = password;
	}

	public String getAtchFileId() {
		return this.atchFileId;
	}
	
	public void setAtchFileId(String atchFileId) {
		this.atchFileId = atchFileId;
	}

	public String getAtchFileNm() {
		return atchFileNm;
	}

	public void setAtchFileNm(String atchFileNm) {
		this.atchFileNm = atchFileNm;
	}

	public Date getFrstRegistPnttm() {
		return this.frstRegistPnttm;
	}
	
	public void setFrstRegistPnttm(Date frstRegistPnttm) {
		this.frstRegistPnttm = frstRegistPnttm;
	}

	public String getFrstRegisterId() {
		return this.frstRegisterId;
	}
	
	public void setFrstRegisterId(String frstRegisterId) {
		this.frstRegisterId = frstRegisterId;
	}

	public String getFrstRegisterNm() {
		return frstRegisterNm;
	}

	public void setFrstRegisterNm(String frstRegisterNm) {
		this.frstRegisterNm = frstRegisterNm;
	}
	
	public Date getLastUpdtPnttm() {
		return this.lastUpdtPnttm;
	}
	
	public void setLastUpdtPnttm(Date lastUpdtPnttm) {
		this.lastUpdtPnttm = lastUpdtPnttm;
	}

	public String getLastUpdusrId() {
		return this.lastUpdusrId;
	}
	
	public void setLastUpdusrId(String lastUpdusrId) {
		this.lastUpdusrId = lastUpdusrId;
	}


	public String getLastUpdusrNm() {
		return lastUpdusrNm;
	}

	public void setLastUpdusrNm(String lastUpdusrNm) {
		this.lastUpdusrNm = lastUpdusrNm;
	}
	
	public String getGubun() {
		return gubun;
	}

	public void setGubun(String gubun) {
		this.gubun = gubun;
	}
	
	public String getTopYn() {
		return topYn;
	}

	public void setTopYn(String topYn) {
		this.topYn = topYn;
	}
	
	public int getTopCnt() {
		return topCnt;
	}

	public void setTopCnt(int topCnt) {
		this.topCnt = topCnt;
	}
	
	public String[] getNttTypes() {
		String[] ret = null;
		if(this.nttTypes != null){
			ret = new String[nttTypes.length]; 
			ret = this.nttTypes;
		}
		return ret;
	}
	
	public void setNttTypes(String[] nttTypes) { 
		this.nttTypes = new String[nttTypes.length]; 
		for(int i=0; i<nttTypes.length; ++i) {
			this.nttTypes[i] = nttTypes[i]; 
		}
	}
	
	public String getTel() {
		return tel;
	}

	public void setTel(String tel) {
		this.tel = tel;
	}

	public String getZipCode() {
		return zipCode;
	}

	public void setZipCode(String zipCode) {
		this.zipCode = zipCode;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getSidoName() {
		return sidoName;
	}

	public void setSidoName(String sidoName) {
		this.sidoName = sidoName;
	}

	public String getSigunguName() {
		return sigunguName;
	}

	public void setSigunguName(String sigunguName) {
		this.sigunguName = sigunguName;
	}

	public String getLatitude() {
		return latitude;
	}

	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}

	public String getLongitude() {
		return longitude;
	}

	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	public String getMainImg() {
		return mainImg;
	}

	public void setMainImg(String mainImg) {
		this.mainImg = mainImg;
	}

	public String getMainImgOrignlFileNm() {
		return mainImgOrignlFileNm;
	}

	public void setMainImgOrignlFileNm(String mainImgOrignlFileNm) {
		this.mainImgOrignlFileNm = mainImgOrignlFileNm;
	}

	public String getThumAtchCtrl() {
		return thumAtchCtrl;
	}

	public void setThumAtchCtrl(String thumAtchCtrl) {
		this.thumAtchCtrl = thumAtchCtrl;
	}

	public List<String> getNttIdList() {
		return nttIdList;
	}

	public void setNttIdList(List<String> nttIdList) {
		this.nttIdList = nttIdList;
	}

	/**
	 * toString()
	 * @return String
	 */
    public String toString() {
    	return CmmUtil.reflectionToString(this);
    }
}
